# $Revision: 1.3 $, $Date: 2003/09/04 20:46:41 $
Summary:	System utilities package
Summary(pl):	Pakiet narzdzi systemowych
Name:		sysfsutils
Version:	0.2.0
%define	fver	%(echo %{version} | tr . _)
Release:	1
License:	LGPL v2.1/GPL v2
Group:		Applications/System
Source0:	http://dl.sourceforge.net/linux-diag/%{name}-%{fver}.tar.gz
# Source0-md5:	6e1f2f1848dbca4c329fb58302bed137
Patch0:		%{name}-shared.patch
URL:		http://linux-diag.sourceforge.net/Sysfsutils.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package's purpose is to provide a set of utilities for
interfacing with sysfs, a virtual filesystem in Linux kernel versions
2.5+ that provides a tree of system devices. While a filesystem is a
very useful interface, the authors decided to provide a stable
programming interface that will hopefully make it easier for
applications to query system devices and their attributes.

This package currently includes:
- libsysfs: a library for accessing system devices.
- lsbus: a small application to query system bus information.
- systool: an application to view system device information by bus,
  class, and topology.

%description -l pl
Celem tego pakietu jest dostarczenie zestawu narzdzi do wsppracy z
sysfs - wirtualnym systemem plikw jder Linuksa w wersji 2.5+
udostpniajcym drzewo urzdze systemowych. O ile system plikw jest
bardzo uytecznym interfejsem, autorzy zdecydowali si dostarczy
stabilny interfejs programistyczny, uatwiajcy aplikacjom odpytywanie
si o urzdzenia systemowe i ich atrybuty.

Ten pakiet zawiera:
- libsysfs - bibliotek do dostpu do urzdze systemowych,
- lsbus - ma aplikacj do odczytywania informacji o szynach
  systemowych,
- systool - aplikacj do przegldania informacji o urzdzeniach
  systemowych wedug szyny, klasy i topologii.

%package devel
Summary:	Header files for sysfs library
Summary(pl):	Pliki nagwkowe biblioteki sysfs
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files for sysfs library.

%description devel -l pl
Pliki nagwkowe biblioteki sysfs.

%package static
Summary:	Static sysfs library
Summary(pl):	Statyczna biblioteka sysfs
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static sysfs library.

%description static -l pl
Statyczna biblioteka sysfs.

%prep
%setup -q -n %{name}-%{fver}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# COPYING contains only note, not actual GPL/LGPL texts
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc docs/libsysfs.txt
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sysfsutils.spec,v $
Revision 1.3  2003/09/04 20:46:41  blues
- reverted last change....

Revision 1.2  2003/09/04 20:41:20  blues
- added epoch issue

Revision 1.1  2003/09/04 16:26:47  qboosh
- new, built with shared library

